members.dev
Docs
Custom fieldsets

Delete Custom Fieldset

Deletes a Custom Field Set

DELETE
/v1/custom-fieldsets/{custom_fieldset_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

custom_fieldset_id*string

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://api.members.dev/v1/custom-fieldsets/string"
{
  "id": "string",
  "entity_type": "member",
  "name": "string",
  "description": "string",
  "fields": [
    {
      "id": "string",
      "field_definition_id": "string",
      "system_key": "name",
      "content_type": "embed",
      "content": {},
      "display_order": 0,
      "required_override": true,
      "hidden_override": true,
      "label_override": "string",
      "description_override": "string"
    }
  ],
  "created_at": null,
  "updated_at": null
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}